/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
var app = {
    // Application Constructor
    initialize: function() {
		this.bindEvents();
		//window.location.href = "http://www.saludcoop.coop/WebCitas/forms/wfLogin.aspx?EPS=2"; 
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
    onDeviceReady: function() {
        app.receivedEvent('deviceready');
    },
    // Update DOM on a Received Event
    receivedEvent: function(id) {
        var parentElement = document.getElementById(id);
        var listeningElement = parentElement.querySelector('.listening');
        var receivedElement = parentElement.querySelector('.received');

        listeningElement.setAttribute('style', 'display:none;');
        receivedElement.setAttribute('style', 'display:block;');
		checkConnection();
		//window.location.href = "http://www.saludcoop.coop/WebCitas/forms/wfLogin.aspx?EPS=2";
        console.log('Received Event: ' + id);
    }
};

        function checkConnection() {
            var networkState = navigator.connection.type;

            var states = {};
            states[Connection.UNKNOWN]  = 'ERROR DE CONEXION. Revisa la conexión a Internet y vuelve a intentarlo.';
            states[Connection.ETHERNET] = 'Ethernet connection';
            states[Connection.WIFI]     = 'WiFi connection';
            states[Connection.CELL_2G]  = 'Cell 2G connection';
            states[Connection.CELL_3G]  = 'Cell 3G connection';
            states[Connection.CELL_4G]  = 'Cell 4G connection';
            states[Connection.CELL]     = 'Cell generic connection';
            states[Connection.NONE]     = 'ERROR DE CONEXION. Revisa la conexión a Internet y vuelve a intentarlo';
			if(states[networkState] != 'ERROR DE CONEXION. Revisa la conexión a Internet y vuelve a intentarlo'){
			 var ref = window.open('http://www.heon.com.co/Innovacion/WebCitas/forms/wfLogin.aspx?EPS=2', '_blank', 'status=no,toolbar=no,menubar=no,location=no,clearsessioncache=yes');
       
         ref.addEventListener('loaderror', function(event) { 
		 		
				 ref.close(); 
				 alert('' + states[networkState]);
				navigator.app.exitApp();
		  });
         ref.addEventListener('exit', function(event) { 
				//ref.close(); 
				navigator.app.exitApp();
					});
				}else{
				alert('' + states[networkState]);
				navigator.app.exitApp();
				}
            //alert('Connection type: ' + states[networkState]);
        }
